<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Файл /home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/src/database.cpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Файл database.cpp</div>  </div>
</div><!--header-->
<div class="contents">

<p>Работа с базой данных и обработкой данных  
<a href="#details">Подробнее...</a></p>
<div class="textblock"><code>#include &quot;../deskhelper/include/database.h&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Граф включаемых заголовочных файлов для database.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="database_8cpp__incl.png" border="0" usemap="#_2home_2alner_2_xD0_x94_xD0_xBE_xD0_xBA_xD1_x83_xD0_xBC_xD0_xB5_xD0_xBD_xD1_x82_xD1_x8B_2_xD0_x9A_xD0_xBE_xD0_xBC_xD0_xB0_xD0_xBD_xD0_xB4_xD0_xBD_xD1_x8B_xD0_xB9_01_xD0_xBA_xD1_x83_xD1_x80_xD1_x81_xD0_xBE_xD0_xB2_xD0_xBE_xD0_xB9_01_xD0_xBF_xD1_x80_xD0_xBE_xD0_xB5_xD0_xBA_xD1_x82_2deskhelper_2deskhelper_2app_2deskhelper_2src_2database_8cpp" alt=""/></div>
<map name="_2home_2alner_2_xD0_x94_xD0_xBE_xD0_xBA_xD1_x83_xD0_xBC_xD0_xB5_xD0_xBD_xD1_x82_xD1_x8B_2_xD0_x9A_xD0_xBE_xD0_xBC_xD0_xB0_xD0_xBD_xD0_xB4_xD0_xBD_xD1_x8B_xD0_xB9_01_xD0_xBA_xD1_x83_xD1_x80_xD1_x81_xD0_xBE_xD0_xB2_xD0_xBE_xD0_xB9_01_xD0_xBF_xD1_x80_xD0_xBE_xD0_xB5_xD0_xBA_xD1_x82_2deskhelper_2deskhelper_2app_2deskhelper_2src_2database_8cpp" id="_2home_2alner_2_xD0_x94_xD0_xBE_xD0_xBA_xD1_x83_xD0_xBC_xD0_xB5_xD0_xBD_xD1_x82_xD1_x8B_2_xD0_x9A_xD0_xBE_xD0_xBC_xD0_xB0_xD0_xBD_xD0_xB4_xD0_xBD_xD1_x8B_xD0_xB9_01_xD0_xBA_xD1_x83_xD1_x80_xD1_x81_xD0_xBE_xD0_xB2_xD0_xBE_xD0_xB9_01_xD0_xBF_xD1_x80_xD0_xBE_xD0_xB5_xD0_xBA_xD1_x82_2deskhelper_2deskhelper_2app_2deskhelper_2src_2database_8cpp">
<area shape="rect" title="Работа с базой данных и обработкой данных" alt="" coords="5,5,235,76"/>
<area shape="rect" title=" " alt="" coords="41,124,199,165"/>
</map>
</div>
</div>
<p><a href="database_8cpp_source.html">См. исходные тексты.</a></p>
<a name="details" id="details"></a><h2 class="groupheader">Подробное описание</h2>
<div class="textblock"><p>Работа с базой данных и обработкой данных </p>
<p>Чтение из бд, удаление, изменение строк таблиц бд, обработка данных для приведения в нужный вид для работы с бд </p>

<p class="definition">См. определение в файле <a class="el" href="database_8cpp_source.html">database.cpp</a></p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
